#ifndef DECL_MATERIAL
#   define DECL_MATERIAL(x)
#endif

#ifndef DECL_MATERIAL_LM
#   define DECL_MATERIAL_LM(name, lightValue) DECL_MATERIAL(name)
#endif

// NOTE: Don't include this file directly. This file is included once in Material.hpp
//       and then in Material.cpp, so that a declaration and a usage of a material are
//       not separated.

DECL_MATERIAL(crosshair);
DECL_MATERIAL(cursor);
DECL_MATERIAL(stick);
DECL_MATERIAL(chisel);
DECL_MATERIAL(brick);
DECL_MATERIAL(basicAxe);
DECL_MATERIAL(stoneAxe);
DECL_MATERIAL(stonePickaxe);
DECL_MATERIAL(progress);
DECL_MATERIAL(flameStatus);
DECL_MATERIAL(potTemperature);
DECL_MATERIAL(ironPickaxe);
DECL_MATERIAL(ironAxe);
DECL_MATERIAL(ironIngot);
DECL_MATERIAL(copperIngot);
DECL_MATERIAL(leadIngot);
DECL_MATERIAL(tinIngot);
DECL_MATERIAL(silverIngot);
DECL_MATERIAL(nickelIngot);
DECL_MATERIAL(goldIngot);
DECL_MATERIAL(steelIngot);
DECL_MATERIAL(brassIngot);
DECL_MATERIAL(bronzeIngot);
DECL_MATERIAL(siliconIngot);
DECL_MATERIAL(ironDust);
DECL_MATERIAL(copperDust);
DECL_MATERIAL(leadDust);
DECL_MATERIAL(tinDust);
DECL_MATERIAL(silverDust);
DECL_MATERIAL(nickelDust);
DECL_MATERIAL(goldDust);
DECL_MATERIAL(steelDust);
DECL_MATERIAL(brassDust);
DECL_MATERIAL(bronzeDust);
DECL_MATERIAL(uraniumDust);
DECL_MATERIAL(siliconDust);
DECL_MATERIAL(blueDye);
DECL_MATERIAL(brownDye);
DECL_MATERIAL(blackDye);
DECL_MATERIAL(darkBrownDye);
DECL_MATERIAL(cyanDye);
DECL_MATERIAL(greenDye);
DECL_MATERIAL(limeDye);
DECL_MATERIAL(darkGreenDye);
DECL_MATERIAL(yellowGreenDye);
DECL_MATERIAL(magentaDye);
DECL_MATERIAL(yellowDye);
DECL_MATERIAL(redDye);
DECL_MATERIAL(lightRedDye);
DECL_MATERIAL(coralDye);
DECL_MATERIAL(orangeDye);
DECL_MATERIAL(darkYellowDye);
DECL_MATERIAL(lightYellowDye);
DECL_MATERIAL(tealDye);
DECL_MATERIAL(darkBlueDye);
DECL_MATERIAL(violetDye);
DECL_MATERIAL(purpleDye);
DECL_MATERIAL(darkPinkDye);
DECL_MATERIAL(pinkDye);
DECL_MATERIAL(redOrangeDye);
DECL_MATERIAL(darkRedDye);
DECL_MATERIAL(whiteDye);
DECL_MATERIAL(bronzePickaxe);
DECL_MATERIAL(bronzeAxe);
DECL_MATERIAL(capsuleSmallTin);
DECL_MATERIAL(capsuleLargeTin);
DECL_MATERIAL(capsuleSmallLead);
DECL_MATERIAL(capsuleLargeLead);
DECL_MATERIAL(charcoal);
DECL_MATERIAL(coal);
DECL_MATERIAL(screwdriver);
DECL_MATERIAL(battery);
DECL_MATERIAL(chargedBattery);
DECL_MATERIAL(downArrow);
DECL_MATERIAL(switchUI);
DECL_MATERIAL(recipeBookIcon);
DECL_MATERIAL(coil);
DECL_MATERIAL(infoIcon);
DECL_MATERIAL(steelPickaxe);
DECL_MATERIAL(steelAxe);
DECL_MATERIAL(diamond);
DECL_MATERIAL(diamondPickaxe);
DECL_MATERIAL(diamondAxe);
DECL_MATERIAL(distiller);
DECL_MATERIAL(upgradeIcon);
DECL_MATERIAL(speedUpgrade);
DECL_MATERIAL(efficiencyUpgrade);
DECL_MATERIAL(electricDrill);
DECL_MATERIAL(rake);
DECL_MATERIAL(wheat);
DECL_MATERIAL(rightArrow);
DECL_MATERIAL(singleplayer);
DECL_MATERIAL(multiplayer);
DECL_MATERIAL(settings);
DECL_MATERIAL(exitIcon);
DECL_MATERIAL(random);
DECL_MATERIAL(cheatBattery);
DECL_MATERIAL(waterCheatCapsule);
DECL_MATERIAL(oilCheatCapsule);
DECL_MATERIAL(petrolCheatCapsule);
DECL_MATERIAL(refuCheatCapsule);
DECL_MATERIAL(plutoniumCheatCapsule);
DECL_MATERIAL(trash);
DECL_MATERIAL(create);
DECL_MATERIAL(clone);
DECL_MATERIAL(voxelverseAvatar);
DECL_MATERIAL(blobAvatar);
DECL_MATERIAL(zypeAvatar);
DECL_MATERIAL(frogAvatar);
DECL_MATERIAL(kevinAvatar);
DECL_MATERIAL(saphiroAvatar);
DECL_MATERIAL(maceratorAvatar);
DECL_MATERIAL(alert);
DECL_MATERIAL(badAvatar);
DECL_MATERIAL(rubberTreeSap);
DECL_MATERIAL(rubber);
DECL_MATERIAL(quartz);
DECL_MATERIAL(none);
DECL_MATERIAL(redChannel);
DECL_MATERIAL(greenChannel);
DECL_MATERIAL(blueChannel);
DECL_MATERIAL(magentaChannel);
DECL_MATERIAL(dataInputs);
DECL_MATERIAL(dataOutputs);
DECL_MATERIAL(wireActivated);
DECL_MATERIAL(wireDeactivated);
DECL_MATERIAL(steelClaws);
DECL_MATERIAL(filterIcon);
DECL_MATERIAL(filterRemove);
DECL_MATERIAL(tinCopperBundle);
DECL_MATERIAL(brassCopperBundle);
DECL_MATERIAL(emerald);
DECL_MATERIAL(laser);
DECL_MATERIAL(outputBeltDefault);
DECL_MATERIAL(outputBeltNeg);
DECL_MATERIAL(outputBeltPos);
DECL_MATERIAL(statsIcon);
DECL_MATERIAL(moveUp);
DECL_MATERIAL(moveDown);
DECL_MATERIAL(graphicsSettings);
DECL_MATERIAL(audioSettings);
DECL_MATERIAL(pingError);
DECL_MATERIAL(ping1);
DECL_MATERIAL(ping2);
DECL_MATERIAL(ping3);
DECL_MATERIAL(ping4);
DECL_MATERIAL(dropdown);
DECL_MATERIAL(achievementsTab);
DECL_MATERIAL(pebble);
DECL_MATERIAL(stoneAgeIcon);
DECL_MATERIAL(treeIcon);
DECL_MATERIAL(stonePotIconTodo);
DECL_MATERIAL(stonePotIconDone);
DECL_MATERIAL(cheatCoolant);
DECL_MATERIAL(heatSink);
DECL_MATERIAL(uraniumFissionCell);
DECL_MATERIAL(tempCelsius);
DECL_MATERIAL(tempFahrenheit);
DECL_MATERIAL(tempKelvin);
DECL_MATERIAL(turbine);
DECL_MATERIAL(alternator);
DECL_MATERIAL(fan1);
DECL_MATERIAL(blackHoleBattery);
DECL_MATERIAL(siliconSheet);
DECL_MATERIAL(keyBindings);
DECL_MATERIAL(scancodePicker);
DECL_MATERIAL(edit);
DECL_MATERIAL(reset);
DECL_MATERIAL(worldBasics);
DECL_MATERIAL(worldAdvanced);
DECL_MATERIAL(cheatFertilizer);
DECL_MATERIAL(quartzFork);
DECL_MATERIAL(spawnPoint);
DECL_MATERIAL(paperSheet);
DECL_MATERIAL(compass);
DECL_MATERIAL(carvedMap);
DECL_MATERIAL(paperMap);
DECL_MATERIAL(cheatMap);
DECL_MATERIAL(jetpack);
DECL_MATERIAL(woodPulp);
DECL_MATERIAL(mapPin);
DECL_MATERIAL(mapPanTool);
DECL_MATERIAL(textCursor);
DECL_MATERIAL(accept);
DECL_MATERIAL(mushroomLeather);
DECL_MATERIAL(runningShoes);
DECL_MATERIAL(plutoniumCaptureCell);
DECL_MATERIAL(plutoniumFissionCell);
DECL_MATERIAL(menuBackground);
DECL_MATERIAL(ironPotIconTodo);
DECL_MATERIAL(ironPotIconDone);
DECL_MATERIAL(steamGeneratorTodo);
DECL_MATERIAL(steamGeneratorDone);
DECL_MATERIAL(encyclopediaIcon);
DECL_MATERIAL(electricInputIcon);
DECL_MATERIAL(electricOutputIcon);
DECL_MATERIAL(fluidInputIcon);
DECL_MATERIAL(fluidOutputIcon);
DECL_MATERIAL(flameIcon);
DECL_MATERIAL(chemicalReactorTodo);
DECL_MATERIAL(chemicalReactorDone);
DECL_MATERIAL(memoryChip);
DECL_MATERIAL(coloredRightArrow);
DECL_MATERIAL(memoryChipColorLabel);
DECL_MATERIAL(maceratorDone);
DECL_MATERIAL(electricFurnaceDone);
DECL_MATERIAL(itemCheatBookIcon);
DECL_MATERIAL(backpack);
DECL_MATERIAL(heart);

#undef DECL_MATERIAL
#undef DECL_MATERIAL_LM